Error in default Apache2 installation (OSX Snow Leopard)

Default Apache2 installation in Snow Leopard shows this error when you try to start:

/usr/sbin/apachectl: line 82: ulimit: open files: cannot modify limit: Invalid argument

This error is caused by:

ULIMIT_MAX_FILES="ulimit -S -n `ulimit -H -n`"

In /usr/sbin/apachectl file.

You can fix it changing the line to this one:

ULIMIT_MAX_FILES="ulimit -S -n" 

Hu-ha!